Skip to content

Create a team

POST/v1/teams

POST
/v1/teams
curl --request POST \
--url https://api.ligr.live/rest/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "gfxName": "example", "gfxFullName": "example", "abbreviation": "example", "sport": "football", "age": "Adults", "gender": "Male", "gradeId": 1, "competitionIds": [ 1 ], "defaultVenueId": 1, "primaryBackgroundColor": "example", "primaryTextColor": "example" }'

Creates a team. Supplied competitions and the default venue must belong to your organization.

Media typeapplication/json

Create a team and optionally add it to competitions in the same organization. Discover grade identifiers with GET /v1/competitions/grades.

object
name
required

Default Entity name

string
>= 6 characters <= 39 characters
gfxName

Name predominantly display in graphics

string
>= 6 characters <= 19 characters
gfxFullName

Name predominantly display in graphics

string
>= 6 characters <= 35 characters
abbreviation

Abbreviation

string
>= 2 characters <= 4 characters
sport
required
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis
age
required
string
Allowed values: Adults U7 U8 U9 U10 U11 U12 U13 U14 U15 U16 U17 U18 U19 U20 U21 U22 U23 Senior Unknown
gender
required
string
Allowed values: Male Female Mixed Unknown
gradeId
required

Entity identifier

integer format: int32
>= 1
competitionIds
Array<integer>
defaultVenueId

Entity identifier

integer format: int32
>= 1
primaryBackgroundColor
string
primaryTextColor
string

Created

Media typeapplication/json
object
id
required

Entity identifier

integer format: int32
>= 1
name
required

Default Entity name

string
>= 6 characters <= 39 characters
gfxName

Name predominantly display in graphics

string
>= 6 characters <= 19 characters
gfxFullName

Name predominantly display in graphics

string
>= 6 characters <= 35 characters
abbreviation

Abbreviation

string
>= 2 characters <= 4 characters
primaryBackgroundColor
string
primaryTextColor
string
secondaryBackgroundColor
string
secondaryTextColor
string
defaultVenueId

Entity identifier

integer format: int32
>= 1
sport
required
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis
clubId

Entity identifier

integer format: int32
>= 1
isHome
boolean
logoUrl

CDN URL of the team logo, or of the club logo when the team has none. Present only on the team routes.

string
nonPlayerStaff

Coaches and other staff who are not players. Graphics show the manager entry as the coach. If no entry has the manager role, graphics show the first entry.

Array<object>

A coach or other staff member of a team.

object
firstName
required
string
lastName
required
string
role
required

Role of a team staff member. Graphics show the manager as the coach.

string
Allowed values: manager assistantManager
dataProvider
object
name
required
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL
id
required
string
Example
{
"sport": "football",
"nonPlayerStaff": [
{
"role": "manager"
}
],
"dataProvider": {
"name": "RB"
}
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Team not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}